# docsify: main files are correct

    Code
      .readlines("docs/README.md")
    Output
       [1] ""                                                                                                  
       [2] "<!-- README.md is generated from README.Rmd. Please edit that file -->"                            
       [3] ""                                                                                                  
       [4] "# testpkg.altdoc"                                                                                  
       [5] ""                                                                                                  
       [6] "<!-- badges: start -->"                                                                            
       [7] ""                                                                                                  
       [8] "[![R-universe status"                                                                              
       [9] "badge](https://grantmcdermott.r-universe.dev/badges/plot2)](https://grantmcdermott.r-universe.dev)"
      [10] "<!-- badges: end -->"                                                                              
      [11] ""                                                                                                  
      [12] "The goal of testpkg.altdoc is to …"                                                                
      [13] ""                                                                                                  
      [14] "## Installation"                                                                                   
      [15] ""                                                                                                  
      [16] "You can install the development version of testpkg.altdoc like so:"                                
      [17] ""                                                                                                  
      [18] "``` r"                                                                                             
      [19] "# FILL THIS IN! HOW CAN PEOPLE INSTALL YOUR DEV PACKAGE?"                                          
      [20] "```"                                                                                               
      [21] ""                                                                                                  
      [22] "## Example"                                                                                        
      [23] ""                                                                                                  
      [24] "This is a basic example which shows you how to solve a common problem:"                            
      [25] ""                                                                                                  
      [26] "``` r"                                                                                             
      [27] "library(testpkg.altdoc)"                                                                           
      [28] "summary(cars)"                                                                                     
      [29] "#>      speed           dist       "                                                               
      [30] "#>  Min.   : 4.0   Min.   :  2.00  "                                                               
      [31] "#>  1st Qu.:12.0   1st Qu.: 26.00  "                                                               
      [32] "#>  Median :15.0   Median : 36.00  "                                                               
      [33] "#>  Mean   :15.4   Mean   : 42.98  "                                                               
      [34] "#>  3rd Qu.:19.0   3rd Qu.: 56.00  "                                                               
      [35] "#>  Max.   :25.0   Max.   :120.00"                                                                 
      [36] "```"                                                                                               

---

    Code
      .readlines("docs/_sidebar.md")
    Output
      [1] "* [Home](/)"                                 
      [2] "* Articles: "                                
      [3] "  - [here.pdf](vignettes/here.pdf ':ignore')"
      [4] "  - [test](vignettes/test.md)"               
      [5] "* Reference: "                               
      [6] "  - [hello_base](man/hello_base)"            
      [7] "  - [hello_r6](man/hello_r6)"                
      [8] "* [News](NEWS.md)"                           
      [9] "* [Citation](CITATION.md)"                   

---

    Code
      .readlines("docs/index.html")
    Output
       [1] "<!-- index.html -->"                                                                    
       [2] ""                                                                                       
       [3] "<!DOCTYPE html>"                                                                        
       [4] "<html>"                                                                                 
       [5] "<head>"                                                                                 
       [6] "  <meta http-equiv=\"X-UA-Compatible\" content=\"IE=edge,chrome=1\">"                   
       [7] "  <meta name=\"viewport\" content=\"width=device-width,initial-scale=1\">"              
       [8] "  <meta charset=\"UTF-8\">"                                                             
       [9] "  <link rel=\"stylesheet\" href=\"//cdn.jsdelivr.net/npm/docsify@4/themes/vue.css\" />" 
      [10] "</head>"                                                                                
      [11] "<body>"                                                                                 
      [12] "  <div id=\"app\"></div>"                                                               
      [13] "  <script>"                                                                             
      [14] "    window.$docsify = {"                                                                
      [15] "      name: 'testpkg.altdoc',"                                                          
      [16] "      repo: 'https://github.com/etiennebacher/altdoc',"                                 
      [17] "      loadSidebar: true,"                                                               
      [18] "      subMaxLevel: 2,"                                                                  
      [19] "      search: {"                                                                        
      [20] "        placeholder: 'Search',"                                                         
      [21] "        depth: 3,"                                                                      
      [22] "      },"                                                                               
      [23] "      auto2top: true,"                                                                  
      [24] "      copyCode: {"                                                                      
      [25] "        buttonText : 'Copy',"                                                           
      [26] "        errorText  : 'Error',"                                                          
      [27] "        successText: 'Copied'"                                                          
      [28] "      },"                                                                               
      [29] "      plugins: ["                                                                       
      [30] "        function(hook) {"                                                               
      [31] ""                                                                                       
      [32] "          hook.afterEach(function(html) {"                                              
      [33] "            return html + footer;"                                                      
      [34] "          });"                                                                          
      [35] "        }"                                                                              
      [36] "      ]"                                                                                
      [37] "    }"                                                                                  
      [38] "  </script>"                                                                            
      [39] "  <script src=\"//cdn.jsdelivr.net/npm/docsify@4\"></script>"                           
      [40] "  <script src=\"//cdn.jsdelivr.net/npm/docsify-copy-code\"></script>"                   
      [41] "  <script src=\"//cdn.jsdelivr.net/npm/prismjs@1.24.1/components/prism-r.js\"></script>"
      [42] "  <script src=\"//unpkg.com/docsify/lib/plugins/search.min.js\"></script>"              
      [43] "</body>"                                                                                
      [44] "</html>"                                                                                

---

    Code
      .readlines("docs/NEWS.md")
    Output
      [1] "# foobar 1.1.0"                                                                                                                     
      [2] ""                                                                                                                                   
      [3] "* thanks [@foo-bar](https://github.com/foo-bar) for their contribution ([#111](https://github.com/etiennebacher/altdoc/issues/111))"
      [4] ""                                                                                                                                   
      [5] "* thanks [@foo2-](https://github.com/foo2-) for their contribution ([#11](https://github.com/etiennebacher/altdoc/issues/11))"      
      [6] ""                                                                                                                                   
      [7] "* thanks [@JohnDoe](https://github.com/JohnDoe), [@JaneDoe](https://github.com/JaneDoe)"                                            
      [8] ""                                                                                                                                   
      [9] "* this should not be linked: foo.bar@email.com"                                                                                     

---

    Code
      .readlines("docs/man/hello_base.md")
    Output
       [1] ""                                                                               
       [2] "# Base function"                                                                
       [3] ""                                                                               
       [4] "## Description"                                                                 
       [5] ""                                                                               
       [6] "Base function"                                                                  
       [7] ""                                                                               
       [8] "## Usage"                                                                       
       [9] ""                                                                               
      [10] "<pre><code class='language-R'>hello_base(x = 2)"                                
      [11] "</code></pre>"                                                                  
      [12] ""                                                                               
      [13] "## Arguments"                                                                   
      [14] ""                                                                               
      [15] "<table>"                                                                        
      [16] "<tr>"                                                                           
      [17] "<td style=\"white-space: nowrap; font-family: monospace; vertical-align: top\">"
      [18] "<code id=\"hello_base_:_x\">x</code>"                                           
      [19] "</td>"                                                                          
      [20] "<td>"                                                                           
      [21] "A parameter"                                                                    
      [22] "</td>"                                                                          
      [23] "</tr>"                                                                          
      [24] "</table>"                                                                       
      [25] ""                                                                               
      [26] "## Details"                                                                     
      [27] ""                                                                               
      [28] "Some code with weird symbols: <code>pl$when(condition)</code> and"              
      [29] "<code>pl$then(output)</code>"                                                   
      [30] ""                                                                               
      [31] "Some equations: ∂*Y*/∂*X* = *a* + *ε*/2"                                        
      [32] ""                                                                               
      [33] "## Value"                                                                       
      [34] ""                                                                               
      [35] "Some value"                                                                     
      [36] ""                                                                               
      [37] "## Examples"                                                                    
      [38] ""                                                                               
      [39] "``` r"                                                                          
      [40] "library(testpkg.altdoc)"                                                        
      [41] ""                                                                               
      [42] "hello_base()"                                                                   
      [43] "```"                                                                            
      [44] ""                                                                               
      [45] "    [1] \"Hello, world!\""                                                      
      [46] ""                                                                               
      [47] "``` r"                                                                          
      [48] "mtcars$drat <- mtcars$drat + 1"                                                 
      [49] "head(mtcars[[\"drat\"]], 2)"                                                    
      [50] "```"                                                                            
      [51] ""                                                                               
      [52] "    [1] 4.9 4.9"                                                                

---

    Code
      .readlines("docs/man/hello_r6.md")
    Output
        [1] ""                                                                     
        [2] "# Create a \"conductor\" tour"                                        
        [3] ""                                                                     
        [4] "## Description"                                                       
        [5] ""                                                                     
        [6] "blah blah blah"                                                       
        [7] ""                                                                     
        [8] "## Methods"                                                           
        [9] ""                                                                     
       [10] "<h4>"                                                                 
       [11] "Public methods"                                                       
       [12] "</h4>"                                                                
       [13] "<ul>"                                                                 
       [14] "<li>"                                                                 
       [15] ""                                                                     
       [16] "<a href=\"#method-Conductor-new\"><code>hello_r6$new()</code></a>"    
       [17] ""                                                                     
       [18] "</li>"                                                                
       [19] "<li>"                                                                 
       [20] ""                                                                     
       [21] "<a href=\"#method-Conductor-init\"><code>hello_r6$init()</code></a>"  
       [22] ""                                                                     
       [23] "</li>"                                                                
       [24] "<li>"                                                                 
       [25] ""                                                                     
       [26] "<a href=\"#method-Conductor-step\"><code>hello_r6$step()</code></a>"  
       [27] ""                                                                     
       [28] "</li>"                                                                
       [29] "<li>"                                                                 
       [30] ""                                                                     
       [31] "<a href=\"#method-Conductor-clone\"><code>hello_r6$clone()</code></a>"
       [32] ""                                                                     
       [33] "</li>"                                                                
       [34] "</ul>"                                                                
       [35] "<hr>"                                                                 
       [36] ""                                                                     
       [37] "<a id=\"method-Conductor-new\"></a>"                                  
       [38] ""                                                                     
       [39] "<h4>"                                                                 
       [40] "Method <code>new()</code>"                                            
       [41] "</h4>"                                                                
       [42] "<h5>"                                                                 
       [43] "Usage"                                                                
       [44] "</h5>"                                                                
       [45] ""                                                                     
       [46] "<pre>hello_r6\\$new()</pre>"                                          
       [47] ""                                                                     
       [48] "<h5>"                                                                 
       [49] "Details"                                                              
       [50] "</h5>"                                                                
       [51] ""                                                                     
       [52] "Initialise <code>Conductor</code>."                                   
       [53] ""                                                                     
       [54] "<hr>"                                                                 
       [55] ""                                                                     
       [56] "<a id=\"method-Conductor-init\"></a>"                                 
       [57] ""                                                                     
       [58] "<h4>"                                                                 
       [59] "Method <code>init()</code>"                                           
       [60] "</h4>"                                                                
       [61] "<h5>"                                                                 
       [62] "Usage"                                                                
       [63] "</h5>"                                                                
       [64] ""                                                                     
       [65] "<pre>hello_r6\\$init(session = NULL)</pre>"                           
       [66] ""                                                                     
       [67] "<h5>"                                                                 
       [68] "Arguments"                                                            
       [69] "</h5>"                                                                
       [70] ""                                                                     
       [71] "<dl>"                                                                 
       [72] "<dt>"                                                                 
       [73] "<code>session</code>"                                                 
       [74] "</dt>"                                                                
       [75] "<dd>"                                                                 
       [76] "A valid Shiny session. If <code>NULL</code> (default), the function"  
       [77] "attempts to get the session with"                                     
       [78] "<code>shiny::getDefaultReactiveDomain()</code>."                      
       [79] "</dd>"                                                                
       [80] "</dl>"                                                                
       [81] ""                                                                     
       [82] "<h5>"                                                                 
       [83] "Details"                                                              
       [84] "</h5>"                                                                
       [85] ""                                                                     
       [86] "Initialise <code>Conductor</code>."                                   
       [87] ""                                                                     
       [88] "<hr>"                                                                 
       [89] ""                                                                     
       [90] "<a id=\"method-Conductor-step\"></a>"                                 
       [91] ""                                                                     
       [92] "<h4>"                                                                 
       [93] "Method <code>step()</code>"                                           
       [94] "</h4>"                                                                
       [95] "<h5>"                                                                 
       [96] "Usage"                                                                
       [97] "</h5>"                                                                
       [98] ""                                                                     
       [99] "<pre>hello_r6\\$step(title = NULL)</pre>"                             
      [100] ""                                                                     
      [101] "<h5>"                                                                 
      [102] "Arguments"                                                            
      [103] "</h5>"                                                                
      [104] ""                                                                     
      [105] "<dl>"                                                                 
      [106] "<dt>"                                                                 
      [107] "<code>title</code>"                                                   
      [108] "</dt>"                                                                
      [109] "<dd>"                                                                 
      [110] "Title of the popover."                                                
      [111] "</dd>"                                                                
      [112] "</dl>"                                                                
      [113] ""                                                                     
      [114] "<h5>"                                                                 
      [115] "Details"                                                              
      [116] "</h5>"                                                                
      [117] ""                                                                     
      [118] "Add a step in a <code>Conductor</code> tour."                         
      [119] ""                                                                     
      [120] "<hr>"                                                                 
      [121] ""                                                                     
      [122] "<a id=\"method-Conductor-clone\"></a>"                                
      [123] ""                                                                     
      [124] "<h4>"                                                                 
      [125] "Method <code>clone()</code>"                                          
      [126] "</h4>"                                                                
      [127] ""                                                                     
      [128] "The objects of this class are cloneable with this method."            
      [129] ""                                                                     
      [130] "<h5>"                                                                 
      [131] "Usage"                                                                
      [132] "</h5>"                                                                
      [133] ""                                                                     
      [134] "<pre>hello_r6\\$clone(deep = FALSE)</pre>"                            
      [135] ""                                                                     
      [136] "<h5>"                                                                 
      [137] "Arguments"                                                            
      [138] "</h5>"                                                                
      [139] ""                                                                     
      [140] "<dl>"                                                                 
      [141] "<dt>"                                                                 
      [142] "<code>deep</code>"                                                    
      [143] "</dt>"                                                                
      [144] "<dd>"                                                                 
      [145] "Whether to make a deep clone."                                        
      [146] "</dd>"                                                                
      [147] "</dl>"                                                                

---

    Code
      .readlines("docs/vignettes/test.md")
    Output
      [1] "# test"                  ""                       
      [3] "``` r"                   "library(testpkg.altdoc)"
      [5] "```"                     ""                       
      [7] "hello there"            

